Package picard.fingerprint

## Class HaplotypeProbabilitiesFromGenotype

- java.lang.Object
- - picard.fingerprint.HaplotypeProbabilities
  - - picard.fingerprint.HaplotypeProbabilitiesFromGenotype

-     public class HaplotypeProbabilitiesFromGenotype
      extends HaplotypeProbabilities

  Represents a set of HaplotypeProbabilities that were derived from a single SNP genotype at a point in time.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class picard.fingerprint.HaplotypeProbabilities

      `HaplotypeProbabilities.Genotype`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HaplotypeProbabilitiesFromGenotype​(HaplotypeProbabilitiesFromGenotype other)` |
    `HaplotypeProbabilitiesFromGenotype​(Snp snp, HaplotypeBlock haplotypeBlock, double AA, double Aa, double aa)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HaplotypeProbabilitiesFromGenotype` | `deepCopy()` |
    `double[]` | `getLikelihoods()` | Returns the likelihoods, in order, of the AA, Aa and aa haplotypes given the evidence
    `Snp` | `getRepresentativeSnp()` | Returns the SNP who's genotype was used to construct the likelihoods.
    `HaplotypeProbabilitiesFromGenotype` | `merge​(HaplotypeProbabilities other)` | Merges in the likelihood information from the supplied haplotype probabilities object.

    - ### Methods inherited from class picard.fingerprint.HaplotypeProbabilities

      `getHaplotype, getLodMostProbableGenotype, getLogLikelihoods, getMostLikelyGenotype, getMostLikelyHaplotype, getObsAllele1, getObsAllele2, getPosteriorLikelihoods, getPosteriorProbabilities, getPriorProbablities, getTotalObs, hasEvidence, scaledEvidenceProbabilityUsingGenotypeFrequencies, shiftedLogEvidenceProbability, shiftedLogEvidenceProbabilityGivenOtherEvidence, shiftedLogEvidenceProbabilityUsingGenotypeFrequencies`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HaplotypeProbabilitiesFromGenotype

          public HaplotypeProbabilitiesFromGenotype​(HaplotypeProbabilitiesFromGenotype other)

    - #### HaplotypeProbabilitiesFromGenotype

          public HaplotypeProbabilitiesFromGenotype​(Snp snp,
                                                    HaplotypeBlock haplotypeBlock,
                                                    double AA,
                                                    double Aa,
                                                    double aa)

  - ### Method Detail

    - #### deepCopy

          public HaplotypeProbabilitiesFromGenotype deepCopy()

      Specified by:
        `deepCopy` in class `HaplotypeProbabilities`

    - #### getRepresentativeSnp

          public Snp getRepresentativeSnp()

      Returns the SNP who's genotype was used to construct the likelihoods.
      Specified by:
        `getRepresentativeSnp` in class `HaplotypeProbabilities`

    - #### getLikelihoods

          public double[] getLikelihoods()

      Description copied from class: `HaplotypeProbabilities`
      Returns the likelihoods, in order, of the AA, Aa and aa haplotypes given the evidence

      Mathematically this is P(evidence | haplotype) where haplotype={AA,Aa,aa}. Will be normalized.

      Specified by:
        `getLikelihoods` in class `HaplotypeProbabilities`

    - #### merge

          public HaplotypeProbabilitiesFromGenotype merge​(HaplotypeProbabilities other)

      Description copied from class: `HaplotypeProbabilities`
      Merges in the likelihood information from the supplied haplotype probabilities object.
      Specified by:
        `merge` in class `HaplotypeProbabilities`